## radicale 2.1.8

=== debian/changelog ===
radicale (2.1.8-1) experimental; urgency=medium

  [ upstream ]
  * New release 2.1.6:
    + Fix content-type of VLIST.
    + Specify correct COMPONENT in content-type of VCALENDAR.
    + Cache COMPONENT of calendar objects (improves speed with some
      clients).
    + Stricter parsing of filters.
    + Improve support for CardDAV filter.
    + Fix some smaller bugs in CalDAV filter.
    + Add X-WR-CALNAME and X-WR-CALDESC to calendars downloaded via
      HTTP/WebDAV.
    + Use X-WR-CALNAME and X-WR-CALDESC from calendars published via
      WebDAV.
  * New release 2.1.7:
    + Don't print warning when cache format changes.
    + Add documentation for BaseAuth.
    + Add is_authenticated2(login, user, password) to BaseAuth.
    + Fix names of custom properties in PROPFIND requests with
      D:propname or D:allprop.
    + Return all properties in PROPFIND requests with D:propname or
      D:allprop.
    + Allow D:displayname property on all collections.
    + Answer with D:unauthenticated for D:current-user-principal
      property when not logged in.
    + Remove non-existing ICAL:calendar-color and C:calendar-timezone
      properties from PROPFIND requests with D:propname or D:allprop.
    + Add D:owner property to calendar and address book objects.
    + Remove D:getetag and D:getlastmodified properties from regular
      collections.
  * New release 2.1.8:
    + Flush files before fsync'ing.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jan 2018 17:48:12 +0100

radicale (2.1.5-2) experimental; urgency=medium

  * Improve autopkgtest:
    + Setup i18nuser.
    + Disable unsupported COPY Method feature.
    + Rewrite serverinfo.xml creation as separate Perl script.
  * Declare compliance with Debian Policy 4.1.3.
  * Update package relations:
    + Fix (build-)depend on python3-pkg-resources.
      Closes: Bug#872823. Thanks to Joerg Dorchain.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jan 2018 17:33:11 +0100

radicale (2.1.5-1) experimental; urgency=medium

  [ upstream ]
  * New release 2.1.5:
    + Add --verify-storage command-line argument.
    + Allow comments in the htpasswd file.
    + Don't strip whitespaces from user names and passwords in the
      htpasswd file.
    + Remove cookies from logging output.
    + Allow uploads of whole collections with many components.
    + Show warning message if server.timeout is used with Python release
      lower than 3.5.2.

  [ Jonas Smedegaard ]
  * Drop no longer up-to-date documentation.
    Reopens: bug#730044.
  * Improve autopkgtest:
    + Disable unsupported features (not related tests).
    + Configure paths as /base_prefix/user-principal/collection/item.
    + Enable tests CalDAV/get.xml CalDAV/ical-client.xml
      CardDAV/ab-client.xml.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Sep 2017 08:31:03 +0200

radicale (2.1.4-2) experimental; urgency=medium

  * Fix resolve python-related dependencies and provisions, and drop
    deprecated (and bogus, for python3 package) XB-Python-Version field.
    Closes: Bug#867464. Thanks to Adrian Bunk.
  * Declare compliance with Debian Policy 4.1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Aug 2017 00:29:32 +0200

radicale (2.1.4-1) experimental; urgency=medium

  [ upstream ]
  * New release 2.1.3:
    + Enable timeout for SSL handshakes and move them out of the main
      thread.
    + Create cache entries during upload of items.
    + Stop built-in server on Windows when Ctrl+C is pressed.
    + Prevent slow down when multiple requests hit a collection during
      cache warm-up.
  * New release 2.1.4:
    + Fix incorrect time range matching and calculation for some
      edge-cases with rescheduled recurrences.
    + Fix owner property.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Aug 2017 20:08:09 -0400

radicale (2.1.2-1) experimental; urgency=medium

  [ upstream ]
  * New release:
    + Remove workarounds for bugs in VObject < 0.9.5.
    + Error checking of collection tags and associated components.
    + Improve error checking of uploaded collections and components.
    + Don't delete empty collection properties implicitly.
    + Improve logging of VObject serialization.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Jul 2017 00:56:59 +0000

radicale (2.1.1-1) experimental; urgency=medium

  [ upstream ]
  * New release:
    + Add missing UIDs instead of failing.
    + Improve error checking of calendar and address book objects.
    + Fix upload of whole address books.

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
  * Update package relations:
    + Fix suggest (not only build-depend on) python3-bcrypt.
      Mention python3-bcrypt in long description.
    + Fix mention python3-passlib (not python-passlib) in long description.
    + Fix mention apache2-utils in long description.
    + Declare binary (not only build-time) hints in rules file.
    + Tighten to (build-)depend on recent python3-vobject.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jul 2017 11:44:49 +0200

radicale (2.1.0-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Remove obsolete authors.
    + Use https protocol in format string.
  * Drop patch 1002: No longer applies.
  * Update patch 2001: Drop parts that no longer applies.
  * Unfuzz patch 2002.
  * Extract metadata from graphics files before copyright check.
  * Use path /run (not /var/run).
  * Declare compliance with Debian Policy 4.0.0.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update package relations:
    + Build-depend on python3-passlib python3-bcrypt.
  * Tidy autopkgtest: Disable file locking.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2017 22:32:32 +0200

radicale (2.0.0~rc2-1) experimental; urgency=medium

  [ upstream ]
  * New prerelease.
    + Fix a CLI help description.

