=== debian/control ===
Source: radicale
Section: web
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Martin Stigge <martin@stigge.org>, Christian M. Amsüss <chrysn@fsfe.org>
Standards-Version: 4.1.3
Build-Depends: cdbs,
 python3,
 debhelper,
 dh-buildinfo,
 python3-setuptools,
 python3-vobject (>= 0.9.5),
 python3-atomicwrites,
 python3-pkg-resources,
 python3-pytest,
 python3-passlib,
 python3-bcrypt,
 help2man
Vcs-Git: https://anonscm.debian.org/git/collab-maint/radicale.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/radicale.git
Homepage: http://radicale.org/

Package: radicale
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python3-radicale (= ${binary:Version}),
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}
Description: simple calendar and addressbook server - daemon
 Radicale is a CalDAV (calendar) and CardDAV (contact) server.
 .
 Calendars and address books are available for both local and remote
 access, possibly limited through authentication policies. They can be
 viewed and edited by calendar and contact clients on mobile phones or
 computers.
 .
 This package contains the radicale daemon.
 .
 Creating encrypted password files require the package apache2-utils.
 .
 Stronger password hashes require the packages python3-passlib and
 python3-bcrypt.

Package: python3-radicale
Section: python
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python3:Depends}
Provides: ${python3:Provides}
Description: simple calendar and addressbook server - python3 module
 Radicale is a CalDAV (calendar) and CardDAV (contact) server.
 .
 Calendars and address books are available for both local and remote
 access, possibly limited through authentication policies. They can be
 viewed and edited by calendar and contact clients on mobile phones or
 computers.
 .
 This package contains the Radicale Python 3.x module.
