## radicale 2.1.11

=== debian/changelog ===
radicale (2.1.11-8) unstable; urgency=medium

  * fix directory creation of /var/log/radicale;
    closes: bug#827858,
    thanks to Jon Kristensen, Sunil Mohan Adapa and Tim Schumacher
  * fix auto-resolve dependency on python3
  * fix use package section net (not web)
  * fix update patch 2001 to use /etc/radicale/logging,
    and adjust that to log to file (not console);
    closes: #931201, thanks to Sunil Mohan Adapa
  * update DEP-3 header for patch 2001

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Feb 2020 20:48:15 +0100

radicale (2.1.11-7) unstable; urgency=medium

  * Update NEWS entry about reviving Radical 1.x data.
    Thanks to Timo Jyrinki.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Sep 2019 11:15:15 +0200

radicale (2.1.11-6) unstable; urgency=medium

  * Really fix directory creation and access rights of /var/lib/radicale.
    Closes: Bug#919339. Thanks to Slavko.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Apr 2019 22:11:56 +0200

radicale (2.1.11-5) unstable; urgency=medium

  * Update watch file:
    + Rewrite usage comment.
    + Simplify regular expressions.
  * Fix suggest uwsgi-plugin-python3,
    and adapt long description and README.Debian.
    Thanks to A. F. Cano.
  * Fix typos DOMAIN → _DOMAIN in example vhost snippet.
    Thanks to A. F. Cano.
  * Fix have uwsgi snippet create collections subdir below /var/lib
    (not bogusly below /var/log).
    Closes: Bug#919339.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Apr 2019 12:52:13 +0200

radicale (2.1.11-4) unstable; urgency=medium

  * Add NEWS entry about incompatible changes to storage format.
    Closes: Bug#916921. Thanks to Bernard Massot.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Feb 2019 02:28:00 +0100

radicale (2.1.11-3) unstable; urgency=medium

  * Improve uwsgi snippet:
    + Fix commented out setting for running https standalone
      (was missing http module).
    + Add commented out setting for KSM memory tuning.
      Document usage in README.Debian.
    + Fix create /var/log/radicale/collections
      (not only /var/log/radicale) if missing.
      Closes: Bug#919339. Thanks to James Valleroy.
  * Declare compliance with Debian Policy 4.3.0.
  * Update copyright info: Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Jan 2019 02:43:49 +0100

radicale (2.1.11-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove debian/pycompat, it's not used by any modern Python helper.

  [ Jonas Smedegaard ]
  * Use authentication scheme "remote_user" by default.
    Install and enable tightened rights file.
    Include upstream rights file as example file.
  * Include Apache and uWSGI config snippets, and example vhost snippet.
    Have radicale suggest apache2 uwsgi libapache2-mod-proxy-uwsgi.
  * Extend comment in config file on enabling git tracking
    to add a .gitignore file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Dec 2018 00:31:39 +0100

radicale (2.1.11-1) experimental; urgency=medium

  [ upstream ]
  * New release 2.1.11:
    + Fix moving items between collections.

  [ Jonas Smedegaard ]
  * Add bug-closures to previous changelog section.
  * Add TODO item.
  * Simplify rules: Stop resolve (build-)dependencies in rules file.
  * Stop build-depend on dh-buildinfo.
  * Mark build-dependencies unneeded when tests are skipped.
  * Wrap and sort control file, and debhelper install hints.
  * Update watch file: Fix typo in usage comment.
  * Update and unfuzz patch 2003.
  * Update copyright info:
    + Extend coverage of packaging.
    + Use https protocol for primary source URL.
  * Use https protocol for homepage URL.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Dec 2018 20:12:55 +0100

radicale (2.1.10-1) experimental; urgency=medium

  [ upstream ]
  * New release 2.1.9:
    + Specify versions for dependencies.
    + Move WSGI initialization into module.
    + Check if REPORT method is actually supported.
    + Include rights file in source distribution.
    + Specify md5 and bcrypt as extras.
    + Improve logging messages.
    + Windows: Fix crash when item path is a directory.
  * New release 2.1.10:
    + Update required versions for dependencies.
    + Get RADICALE_CONFIG from WSGI environ.
    + Improve HTTP status codes.
    + Fix race condition in storage lock creation.
    + Raise default limits for content length and timeout.
    + Log output from hook.

  [ Jonas Smedegaard ]
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Update patch 2002.
  * Update package relations:
    + Tighten (build-)dependency on python3-vobject.
    + (Build-)depend on recent python3-dateutil.
    + Fix build-depend explicitly on dh-python.
      Closes: Bug#896738. Thanks to Adrian Bunk.
    + Fix have radicale depend on lsb-base.
      Closes: Bug#850617. Thanks to Laurent Arnoud.
  * Update copyright info:
    + Update an email address.
    + List upstream issue tracker as preferred contact.
  * Add patch 2003 to hardcode version.
    See https://github.com/Kozea/Radicale/issues/874.
  * Fix set source path for generating manpage.
  * Update Vcs-* fields: Source moved to Salsa.
  * Limit (historic) NEWS entries to binary package radicale.
  * Remove support for enabling radicale as system daemon in
    /etc/default/radicale.
    Add NEWS entry about the change.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Sep 2018 16:51:51 +0200

radicale (2.1.8-2) experimental; urgency=medium

  * Improve autopkgtest: Use subdir for storage.
  * Update package relations:
    + Fix (build-)depend on python3-tz.
      Closes: Bug#886425. Thanks to Matthias Urlichs.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Feb 2018 11:34:37 +0100
