=== debian/tests/control ===
Tests: pytest, Core, QuickLook-All, Validation-CardDAV
Restrictions: isolation-container, allow-stderr
Depends: caldav-tester, python3-pytest, radicale, libpath-tiny-perl
