## radicale 2.1.12

=== debian/changelog ===
radicale (2.1.12-2) unstable; urgency=medium

  * fix load WSGI file (not python module) in uWSGI config
  * separate pytest and caldav-tester tests in autopkgtest
  * declare compliance with Debian Policy 4.5.0
  * improve source script copyright-check
  * copyright:
    + update coverage
    + drop unused Source URLs
  * drop superfluous shebang fixup (handled by dh_python3)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Nov 2020 16:37:07 +0100

radicale (2.1.12-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix example vhost config snippet to include radicale-uwsgi.conf
    (not bogus radicale.conf);
    closes: bug#959073, thanks to Michael Jarosch
  * update patch 2001 to set loglevel INFO (not WARNING);
    closes: bug#962572, thanks to Elliott Mitchell
  * fix (commented out) uwsgi settings for logging in standalone mode
  * fix have uwsgi grant read access to logfile for group adm
  * fix tell dpkg to cleanup unused datadirs on removal;
    closes: bug#909925, thanks to Andreas Beckmann
  * fix have sysV init script remove pidfile on stop;
    closes: bug#832956, thanks to Michael Tsang and Hagen Fuchs
  * enable generalized autopkgtest
  * update patch 2003
  * simplify source script copyright-check
  * drop unused variables in control file
  * use debhelper compatibility level 10 (not 9)
  * drop README.source
    (it is now common to use git-buildpackage to import upstream source)
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Oct 2020 19:07:42 +0200
