=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Martin Stigge <martin@stigge.org>,
  Christian M. Amsüss <chrysn@fsfe.org>,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Build-Depends:
  cdbs,
  debhelper,
@@ -25,6 +25,7 @@
 Vcs-Git: https://salsa.debian.org/debian/radicale.git
 Homepage: https://radicale.org/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: radicale
 Architecture: all
@@ -44,22 +45,22 @@
  python3-passlib,
  uwsgi,
  uwsgi-plugin-python3,
-Provides:
- ${python:Provides},
 Description: simple calendar and addressbook server - daemon
  Radicale is a CalDAV (calendar) and CardDAV (contact) server.
  .
- Calendars and address books are available for both local and remote
- access, possibly limited through authentication policies. They can be
- viewed and edited by calendar and contact clients on mobile phones or
- computers.
+ Calendars and address books are available
+ for both local and remote access,
+ possibly limited through authentication policies.
+ They can be viewed and edited by calendar and contact clients
+ on mobile phones or computers.
  .
  This package contains the radicale daemon.
  .
- Creating encrypted password files require the package apache2-utils.
+ Creating encrypted password files
+ require the package apache2-utils.
  .
- Stronger password hashes require the packages python3-passlib and
- python3-bcrypt.
+ Stronger password hashes
+ require the packages python3-passlib and python3-bcrypt.
  .
  Serving directly with uWSGI
  requires the packages uwsgi and uwsgi-plugin-python3.
@@ -77,14 +78,13 @@
  python3-vobject (>= 0.9.6),
  ${misc:Depends},
  ${python3:Depends},
-Provides:
- ${python3:Provides},
 Description: simple calendar and addressbook server - python3 module
  Radicale is a CalDAV (calendar) and CardDAV (contact) server.
  .
- Calendars and address books are available for both local and remote
- access, possibly limited through authentication policies. They can be
- viewed and edited by calendar and contact clients on mobile phones or
- computers.
+ Calendars and address books are available
+ for both local and remote access,
+ possibly limited through authentication policies.
+ They can be viewed and edited by calendar and contact clients
+ on mobile phones or computers.
  .
  This package contains the Radicale Python 3.x module.
