=== debian/tests/control ===
Tests: pytest
Restrictions: allow-stderr
Depends:
 python3-pytest,
 radicale,

Tests: Core, QuickLook-All, Validation-CardDAV
Restrictions: isolation-container
Depends:
 caldav-tester,
 libpath-tiny-perl,
 radicale,
