## radicale 3.0.6

=== debian/changelog ===
radicale (3.0.6-4ubuntu2) impish; urgency=medium

  * d/test/control: Unset https_proxy as well when running tests (sigh).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 07 Sep 2021 07:42:06 +1200

radicale (3.0.6-4ubuntu1) impish; urgency=medium

  * d/tests/control: Unset http_proxy when running tests.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 06 Sep 2021 21:41:21 +1200

radicale (3.0.6-4) unstable; urgency=medium

  * set LogsDirectory in systemd unit;
    thanks to Curtis Gedak and Bruno Pagani (see upstream issue #1170)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Aug 2021 14:17:56 +0200

radicale (3.0.6-3) unstable; urgency=medium

  * add patches cherry-picked upstream
    to fix bugs and extend testsuite coverage
  * add patch helper tools to source package
  * fix autopkgtest to not consider and choke on quilt files
  * fix pre-depend on ${misc:Pre-Depends},
    needed for invoke-rc.d flag introduced post buster

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Apr 2021 11:49:40 +0200

radicale (3.0.6-2) unstable; urgency=medium

  * fix have autopkgtest depend on python3-radicale;
    closes: bug#982349, thanks to Arnaud Rebillout

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Feb 2021 09:23:18 +0100

radicale (3.0.6-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    closes: bug#977997, thanks to Antonio Russo

  [ Jonas Smedegaard ]
  * copyright: update coverage
  * update and unfuzz patches
  * build-depend on python3-defusedxml
  * stop install files no longer included upstream
  * define pytest as inline autopkgtest,
    and have that autopkgtest depend on python3-waitress
    (not radicale)
  * stop check testsuite during build (fails with pybuild)
  * skip caldav-tester autopkgtest (needs redesign)
  * sync default rights file with upstream example
  * rewrite patch 2003, thanks to Antonio Russo
  * add patch 2004 to exit cleanly on SIGTERM;
    thanks to Antonio Russo
  * install systemd service file
    (disable by default, same as sysV init file);
    thanks to Antonio Russo
  * add example nginx snippet;
    thanks to Antonio Russo
  * update sysV init script
    to skip option --pidfile no longer handled upstream;
    thanks to Antonio Russo

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jan 2021 10:22:07 +0100

radicale (2.1.12-3) unstable; urgency=medium

  * fix cleanup pytest cache
  * simplify build;
    stop build-depend on cdbs
  * fix stop (build-)depend on python3-atomicwrites,
    unused upstream since 1.1.1+20160808
  * fix stop (build-)depend on python3-tz,
    unused upstream since 2.1.10
  * use debhelper compatibility level 13 (not 10);
    build-depend on debhelper-compat dh-sequence-python3
    (not debhelper)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Jan 2021 21:44:56 +0100
