=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: radicale
 Section: net
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders:
  Martin Stigge <martin@stigge.org>,
  Christian M. Amsüss <chrysn@fsfe.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Depends:
- cdbs,
- debhelper,
+ debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
  help2man,
  python3,
- python3-atomicwrites,
  python3-bcrypt <!nocheck>,
  python3-dateutil (>= 2.7.3),
+ python3-defusedxml <!nocheck>,
  python3-passlib <!nocheck>,
  python3-pkg-resources,
  python3-pytest <!nocheck>,
  python3-setuptools,
- python3-tz,
  python3-vobject (>= 0.9.6),
 Vcs-Browser: https://salsa.debian.org/debian/radicale
 Vcs-Git: https://salsa.debian.org/debian/radicale.git
@@ -45,6 +45,8 @@
  python3-passlib,
  uwsgi,
  uwsgi-plugin-python3,
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: simple calendar and addressbook server - daemon
  Radicale is a CalDAV (calendar) and CardDAV (contact) server.
  .
@@ -71,11 +73,7 @@
 Section: python
 Architecture: all
 Depends:
- python3-atomicwrites,
- python3-dateutil (>= 2.7.3),
  python3-pkg-resources,
- python3-tz,
- python3-vobject (>= 0.9.6),
  ${misc:Depends},
  ${python3:Depends},
 Description: simple calendar and addressbook server - python3 module
