=== debian/tests/control ===
Test-Command:
 http_proxy= https_proxy= pytest-3 radicale
Restrictions: allow-stderr
Depends:
 python3-pytest,
 python3-radicale,
 python3-waitress,

# TODO: fix and enable caldav-tester tests
#Tests: Core, QuickLook-All, Validation-CardDAV
#Restrictions: isolation-container
#Depends:
# caldav-tester,
# libpath-tiny-perl,
# radicale,
