## radicale 3.1.7

=== debian/changelog ===
radicale (3.1.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * use source git branch debian/bullseye

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Apr 2022 21:58:05 +0200

radicale (3.1.7-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Apr 2022 22:54:12 +0200

radicale (3.1.6-2) unstable; urgency=medium

  * stop depend on python3-pkg-resources

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Apr 2022 09:57:25 +0200

radicale (3.1.6-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Apr 2022 07:21:09 +0200

radicale (3.1.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 branch names debian/latest upstream/latest
      (not master upstream)
    + add usage comment
  * update patch 2002

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Feb 2022 17:36:27 +0100

radicale (3.1.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Feb 2022 21:15:19 +0100

radicale (3.1.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Feb 2022 11:47:58 +0100

radicale (3.1.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update patch 2003

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Jan 2022 02:01:07 +0100

radicale (3.1.1-2) unstable; urgency=medium

  * add patch 2003
    to avoid privacy breaches in upstream documentation
  * fix really install upstream documentation

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Jan 2022 01:41:28 +0100

radicale (3.1.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * generate and install upstream documentation and changelog;
    build-depend on cmark-gfm

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Jan 2022 01:28:38 +0100

radicale (3.1.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * make use of debhelper v13 features
  * update copyright info: update coverage
  * tighten lintian overrides
  * drop patches cherry-picked upstream now applied
  * drop patch 2003 (hardcode version number)
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Dec 2021 18:03:57 +0100

radicale (3.0.6-6) unstable; urgency=medium

  * fix avoid obsolete option --daemon in sysV script,
    and instead use start-stop-daemon option --background;
    closes: bug#1000147, thanks to Elliott Mitchell
  * declare compliance with Debian Policy 4.6.0
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * simplify source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Nov 2021 19:32:53 +0100

radicale (3.0.6-5) unstable; urgency=medium

  * fix syslog identifier,
    by calling radicale directly (not via the env resolver)
    in systemd service file;
    closes: bug#992306, thanks to Kevin Locke

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Aug 2021 09:38:42 +0200
