=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: radicale
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders:
  Martin Stigge <martin@stigge.org>,
  Christian M. Amsüss <chrysn@fsfe.org>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends:
+ cmark-gfm,
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
@@ -73,7 +73,6 @@
 Section: python
 Architecture: all
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Description: simple calendar and addressbook server - python3 module
