=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Test-Command:
- http_proxy= https_proxy= pytest-3 radicale
+ pytest-3 radicale
 Restrictions: allow-stderr
 Depends:
  python3-pytest,
