## radicale 3.1.8

=== debian/changelog ===
radicale (3.1.8-4ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/tests/control: Unset http_proxy and https_proxy when running tests

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 28 Nov 2023 11:08:25 +0100

radicale (3.1.8-4) unstable; urgency=medium

  * add patch cherry-picked from upstream pull-request
    to remove brackets from IPv4 test hostnames;
    closes: bug#1038687, thanks to Petter Reinholdtsen
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Oct 2023 23:22:24 +0200

radicale (3.1.8-3) unstable; urgency=medium

  * build-depend unconditionally on python3-defusedxml;
    closes: bug#1052996, thanks to Helmut Grohne and Petter Reinholdtsen
  * add patch cherry-picked upstream
    to compare network location with port
  * add patch 1001 to adjust syntax in testsuite

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Oct 2023 06:47:23 +0200

radicale (3.1.8-2) unstable; urgency=medium

  * improve README.Debian;
    closes: bug#1017764, thanks to Borden
  * fix init script and default configuration;
    closes: bug#1017433, thanks to Joril and Tobias Leupold
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Dec 2022 14:33:41 +0100

radicale (3.1.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    enable automatic DEP-14 branch name handling
  * declare compliance with Debian Policy 4.6.1
  * update patch 2002;
    build-depend on and have autopkgtest depend on
    flake8 mypy python3-pytest-cov
  * unfuzz patch 2003

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Jul 2022 10:52:17 +0200
