=== debian/control ===
--- 
+++ 
@@ -1,25 +1,30 @@
 Source: radicale
 Section: net
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders:
  Martin Stigge <martin@stigge.org>,
  Christian M. Amsüss <chrysn@fsfe.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends:
  cmark-gfm,
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
+ flake8 <!nocheck>,
  help2man,
+ mypy <!nocheck>,
  python3,
  python3-bcrypt <!nocheck>,
  python3-dateutil (>= 2.7.3),
- python3-defusedxml <!nocheck>,
+ python3-defusedxml,
  python3-passlib <!nocheck>,
  python3-pkg-resources,
  python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
  python3-setuptools,
+ python3-typeguard <!nocheck>,
  python3-vobject (>= 0.9.6),
 Vcs-Browser: https://salsa.debian.org/debian/radicale
 Vcs-Git: https://salsa.debian.org/debian/radicale.git
