=== debian/tests/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Test-Command:
- pytest-3 radicale
+ http_proxy= https_proxy= pytest-3 radicale
 Restrictions: allow-stderr
 Depends:
+ flake8,
+ mypy,
  python3-pytest,
+ python3-pytest-cov,
  python3-radicale,
+ python3-typeguard,
  python3-waitress,
 
 # TODO: fix and enable caldav-tester tests
