## radicale 3.2.2

=== debian/changelog ===
radicale (3.2.2-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/tests/control: Unset http_proxy and https_proxy when running tests

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 02 Jul 2024 11:36:12 +0200

radicale (3.2.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * avoid retrying in Apache2 proxy for uWSGI
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Jun 2024 18:31:30 +0200

radicale (3.2.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 1001, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Jun 2024 14:08:58 +0200

radicale (3.2.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.7.0
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 May 2024 11:26:25 +0200

radicale (3.1.9-3) unstable; urgency=medium

  * more autopkgtest-depend on python3-bcrypt

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Apr 2024 09:15:58 +0200

radicale (3.1.9-2) unstable; urgency=medium

  * autopkgtest-depend on python3-bcrypt

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Mar 2024 23:31:04 +0100

radicale (3.1.9-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file:
    + revert to track release tags (not git commits)
  * update apache2 config snippet:
    + cleanup dynamically declared variables
    + support owncloud emulation

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Mar 2024 06:35:59 +0100

radicale (3.1.8+20240316-2) unstable; urgency=medium

  * tighten patch 2001
  * stop build-depend on python3-pkg-resources python3-setuptools
  * tighten config snippets regarding reverse proxying

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Mar 2024 02:30:09 +0100

radicale (3.1.8+20240316-1) experimental; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update watch file: track git commits (not release tags)
  * drop patch cherry-picked upstream, obsoleted by upstream changes
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Mar 2024 00:56:02 +0100
