=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Martin Stigge <martin@stigge.org>,
  Christian M. Amsüss <chrysn@fsfe.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  cmark-gfm,
  debhelper-compat (= 13),
@@ -20,10 +20,9 @@
  python3-dateutil (>= 2.7.3),
  python3-defusedxml,
  python3-passlib <!nocheck>,
- python3-pkg-resources,
+ python3-pika,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
- python3-setuptools,
  python3-typeguard <!nocheck>,
  python3-vobject (>= 0.9.6),
 Vcs-Browser: https://salsa.debian.org/debian/radicale
