## radicale 3.3.0

=== debian/changelog ===
radicale (3.3.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 17:04:59 +0200

radicale (3.2.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Sep 2024 17:29:15 +0200

radicale (3.2.2-2) unstable; urgency=medium

  * fix redirect output streams with sysV init;
    thanks to Jelle Geerts
  * add patches cherry-picked upstream to use pyproject;
    update patch 2002;
    build-depend on pybuild-plugin-pyproject

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2024 16:08:03 +0200
