=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: radicale
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders:
  Martin Stigge <martin@stigge.org>,
  Christian M. Amsüss <chrysn@fsfe.org>,
@@ -15,6 +14,7 @@
  flake8 <!nocheck>,
  help2man,
  mypy <!nocheck>,
+ pybuild-plugin-pyproject,
  python3,
  python3-bcrypt <!nocheck>,
  python3-dateutil (>= 2.7.3),
