## radicale 3.3.1

=== debian/changelog ===
radicale (3.3.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/tests/control: Unset http_proxy and https_proxy when running tests

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 05 Dec 2024 14:25:14 +0100

radicale (3.3.1-2) unstable; urgency=medium

  * suggest python3-ldap3;
    update long description regarding suggested packages

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Nov 2024 03:11:33 +0100

radicale (3.3.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * stop build-depend on python3-dateutil
  * suggest libapache2-mod-authnz-external
    (not libapache2-mod-proxy-uwsgi python3-passlib);
    update long description and README.Debian
    regarding suggested packages;
    closes: bug#1083287, thanks to Jens Reyer
  * update README.Debian regarding recommended setup;
    closes: bug#1083288, thanks to Jens Reyer
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Nov 2024 02:59:25 +0100
