## radicale 3.4.0

=== debian/changelog ===
radicale (3.4.0-2) unstable; urgency=medium

  * restrict access to cache directory

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Jan 2025 03:25:35 +0100

radicale (3.4.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * create cache directory during install;
    closes: bug#1092013, thanks to Peter Marschall
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Jan 2025 01:13:31 +0100

radicale (3.3.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update systemd service file: add additional ReadWritePaths entry

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Dec 2024 00:31:38 +0100

radicale (3.3.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Dec 2024 22:52:57 +0100
